CPIO(1)

BEZEICHNUNG
cpio - Dateien aus Archiven und in Archive kopieren

ÜBERSICHT
cpio {-o|--create} [-0acvABLV] [-C BYTES] [-H FORMAT] [-M MELDUNG] [-O [[BENUTZER@]RECHNER:]ARCHIV] [-F [[BENUTZER@]RECHNER:]ARCHIV] [--file=[[BENUTZER@]RECHNER:]ARCHIV] [--format=FORMAT] [--message=MELDUNG] [--null] [--reset-access-time] [--verbose] [--dot] [--append] [--block-size=BLÖCKE] [--dereference] [--io-size=BYTES] [--quiet] [--force-local] [--rsh-command=BEFEHL] < name-list [> Archiv]

cpio {-i|--extract} [-bcdfmnrtsuvBSV] [-C BYTE] [-E DATEI] [-H FORMAT] [-M MELDUNG] [-R [BENUTZER][:.][GRUPPE]] [-I [[BENUTZER@]HOST:]ARCHIV] [-F [[BENUTZER@]HOST:]ARCHIV] [--file=[[BENUTZER@]HOST:]ARCHIV] [--make-directories] [--nonmatching] [--preserve-modification-time] [--numeric-uid-gid] [--rename] [--list] [--swap-bytes] [--swap] [--dot] [--unconditional] [--verbose] [--block-size=BLÖCKE] [--swap-halfwords] [--io-size=BYTE] [--pattern-file=DATEI] [--format=FORMAT] [--owner=[BENUTZER][:.][GRUPPE]] [--no-preserve-owner] [--message=MELDUNG] [--force-local] [--no-absolute-filenames] [--sparse] [--only-verify-crc] [--to-stdout] [--quiet] [--rsh-command=BEFEHL] [pattern…] [< Archiv]

cpio {-p|--pass-through} [-0adlmuvLV] [-R [BENUTZER][:.][GRUPPE]] [--null] [--reset-access-time] [--make-directories] [--link] [--quiet] [--preserve-modification-time] [--unconditional] [--verbose] [--dot] [--dereference] [--owner=[BENUTZER][:.][GRUPPE]] [--no-preserve-owner] [--sparse] Zielverzeichnis < Namensliste

cpio {-?|--help|--usage|--version}

FEHLER MELDEN
Melden Sie Fehler in Cpio (auf Englisch) an bug-cpio@gnu.org

Webseite von GNU cpio: <http://www.gnu.org/software/cpio/>

Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/

Berichten Sie Fehler in der Übersetzung von cpio an <http://translationproject.org/team/de.html>

SIEHE AUCH
cpio(5)

BESCHREIBUNG
GNU cpio kopiert Dateien zwischen Archiven und Verzeichnissen. Es unterstützt die folgenden Archivformate: Altes binäres Cpio, altes portables Cpio, SVR4 Cpio mit und ohne Prüfsumme, HP Cpio und verschiedene Tar-Formate.

Der Aktionsmodus wird durch eine der folgenden Optionen ausgewählt:

-o, --create
    herauskopieren. Liest eine Dateinamenliste aus der Standardeingabe und erstellt auf der Standardausgabe (falls nicht durch die Option --file außer Kraft gesetzt) ein Archiv, das die Dateien enthält.

-i, --extract
    hereinkopieren. Liest das Archiv von der Standardeingabe (oder von der mit der Option --file übergebenen Datei) und extrahiert Dateien daraus oder (falls die Option -t angegeben ist) listet dessen Inhalte auf die Standardausgabe auf. Falls eine oder mehrere Muster angegeben sind, werden die Dateien, die auf diese Muster passen, gelesen oder aufgelistet. Die Option -t impliziert -i.

-p, --pass-through
    durchreichen. Liest eine Liste von Dateinamen aus der Standardeingabe und kopiert sie in das angegebene Verzeichnis.

-?, --help
    gibt eine kurze Hilfetextzusammenfassung an und beendet das Programm.

--usage
    zeigt eine kurze Aufrufsyntax an und beendet das Programm.

--version
    gibt die Version an und beendet das Programm.

FEHLER MELDEN
Melden Sie Fehler in Cpio (auf Englisch) an bug-cpio@gnu.org

Webseite von GNU cpio: <http://www.gnu.org/software/cpio/>

Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/

Berichten Sie Fehler in der Übersetzung von cpio an <http://translationproject.org/team/de.html>

OPTIONEN

  Aktionsanpasser, die in jedem Modus gültig sind:

--block-size=BLOCKGRÖSSE
    setzt die E/A-Blockgröße auf BLOCKGRÖSSE * 512 Byte.

-B  setzt die E/A-Blockgröße auf 5120 Byte.

-c  verwendet das alte portable (ASCII-)Archivformat. Dies ist zu -H odc identisch.

-C, --io-size=ANZAHL
    setzt die E/A-Blockgröße auf die angegebene ANZAHL von Byte.

-D, --directory=VERZ
    wechselt zum Verzeichnis VERZ.

--force-local
    Archivdatei ist lokal, auch wenn der Name Doppelpunkte enthält.

-H, --format=FORMAT
    verwendet das angegebene Archiv-FORMAT. Gültige Formate sind (die Zahl in Klammern gibt die maximale Größe der einzelnen Archivmitglieder an):

    bin Das veraltete Binärformat. (2147483647 Byte)

    odc Das alte (POSIX.1) portable Format. (8589934591 Byte)

    newc
        Das neue (SVR4) portable Format, das Dateisysteme unterstützt, die mehr als 65536 i-Nodes haben. (4294967295 Byte)

    crc Das neue (SVR4) portable Format mit hinzugefügten Prüfsummen.

    tar Das alte Tar-Format. (8589934591 Byte)

    ustar
        Das POSIX.1-Tar-Format. Erkennt auch GNU-Tar-Archive, die ähnlich, aber nicht identisch sind. (8589934591 Byte)

    hpbin
        Das veraltete, von HPUX genutzte Cpio-Binärformat (das Gerätedateien anders speichert).

    hpodc
        Das von HPUX genutzte portable Cpio-Format (das Gerätedateien anders speichert).

-R, --owner=[BENUTZER][:.][GRUPPE]
    setzt im Ein- und Kopierweitergabemodus den Eigentümer aller erstellten Dateien auf den angegebenen BENUTZER und/oder die GRUPPE. Im Auskopiermodus werden die Eigentümerinformationen im Archiv gespeichert.

    BENUTZER und GRUPPE werden zuerst in den System-Benutzer- und Gruppendatenbanken nachgeschlagen. Falls sie nicht gefunden werden, prüft cpio, ob sie nur aus dezimalen Ziffern bestehen, und behandelt sie in diesem Fall als numerische UID bzw. GID.

    Um das Abfragen zu vermeiden und sicherzustellen, dass die Argumente als numerische Werte behandelt werden, stellen Sie ihnen ein Pluszeichen voran, z.B. -R +0:+0.

--quiet
    gibt die Anzahl der kopierten Blöcke am Ende des Durchlaufs nicht aus.

--rsh-command=BEFEHL
    verwendet anstatt rsh den BEFEHL in der Ferne.

-v, --verbose
    listet die verarbeiteten Dateien ausführlich auf.

-V, --dot
    gibt ein ».« für jede verarbeitete Datei aus.

-W, --warning=SCHALTER
    steuert die Warnanzeige. SCHALTER ist entweder none, um alle Warnungen zu deaktivieren, all, um sie zu aktivieren, truncate, um Warnungen bezüglich des Abschneidens von Feldern zu aktivieren und no-truncate, um dies zu deaktivieren.

    Mehrere -W-Optionen werden gesammelt.

  Aktionsanpasser, die im Ein- und Auskopiermodus gültig sind:

-F, --file=[[BENUTZER@]RECHNER:]ARCHIVDATEI
    verwendet statt der Standardeingabe (im Einkopiermodus) oder der Standardausgabe (im Auskopiermodus) diese ARCHIVDATEI. Optional geben Sie den BENUTZER- und RECHNER-Namen für Archive in der Ferne an.

-M, --message=ZEICHENKETTE
    gibt ZEICHENKETTE aus, wenn das Ende eines Datenträgers der Datensicherungsmedien erreicht ist.

  Aktionsanpasser, die nur im Einkopiermodus gültig sind:

-b, --swap
    vertauscht beide Halbwörter der Wörter und Bytes von Halbwörter in den Daten. Äquivalent zu -sS.

-f, --nonmatching
    kopiert nur Dateien, die auf keines der angegebenen Muster passen.

-n, --numeric-uid-gid
    zeigt numerische UID und GID in der ausführlichen Inhaltsverzeichnisauflistung.

-r, --rename
    benennt Dateien interaktiv um.

-s, --swap-bytes
    vertauscht die Bytes in jedem Halbwort in den Dateien.

-S, --swap-halfwords
    vertauscht die Halbwörter jedes Wortes (4 Byte) in den Dateien.

--to-stdout
    entpackt Dateien in die Standardausgabe.

-E, --pattern-file=DATEI
    liest zusätzliche Muster, die zu extrahierende oder aufzulistende Dateinamen angeben, aus DATEI.

--only-verify-crc
    verifizert nur die Prüfsummen jeder Datei im Archiv beim Lesen eines Archivformats mit Prüfsummen, ohne Dateien tatächlich zu extrahieren.

  Aktionsanpasser, die nur im Auskopiermodus gültig sind:

-A, --append
    hängt an ein bestehendes Archiv an.

--device-independent, --reproducible
    erstellt reproduzierbare Archive. Dies ist zu --ignore-devno --ignore-dirnlink --renumber-inodes äquivalent.

--ignore-devno
    speichert 0 statt der tatsächlichen Gerätenmummer in dem Gerätenummernfeld jedes Archivmitglieds.

--ignore-dirnlink
    speichert 2 im nlink-Feld jedes Archivmitglieds im Verzeichnis anstatt der tatsächlichen Anzahl der Links.

-O [[BENUTZER@]RECHNER:]ARCHIVNAME
    verwendet ARCHIVNAME statt der Standardausgabe. Optional geben Sie den BENUTZER- und RECHNER-Namen für Archive in der Ferne an.

    Der Ausgabearchivname kann mit dieser Option, mittels -F (--file) aber nicht mit beiden angegeben werden.

--renumber-inodes
    nummeriert Inodes beim Speichern im Archiv um.

  Aktionsanpasser, die nur im Kopierweitergabemodus gültig sind:

-l, --link
    verlinkt Dateien wenn möglich, statt sie zu kopieren.

  Aktionsanpasser, die im Ein- und Auskopiermodus gültig sind:

--absolute-filenames
    entfernt die Dateisystempräfixkomponenten nicht von den Dateinamen. Dies ist die Voreinstellung.

--no-absolute-filenames
    erstellt alle Dateien relativ zum aktuellen Verzeichnis.

  Aktionsanpasser, die im Auskopier- und Kopierweitergabemodus gültig sind:

-0, --null
    Dateinamen in der Liste werden durch Null-Zeichen statt Zeilenumbrüchen begrenzt.

-a, --reset-access-time
    setzt die Zugriffszeiten von Dateien nach dem Lesen zurück.

-I [[BENUTZER@]RECHNER:]ARCHIVNAME
    verwendet ARCHIVNAME statt der Standardeingabe. Optional geben Sie den BENUTZER- und RECHNER-Namen für Archive in der Ferne an.

    Der Eingabearchivname kann mit dieser Option, mittels -F (--file) aber nicht mit beiden angegeben werden.

-L, --dereference
    dereferenziert symbolische Links (kopiert die Dateien, auf die sie zeigen, statt die Links zu kopieren).

  Aktionsanpasser, die im Einkopier- und Kopierweitergabemodus gültig sind:

-d, --make-directories
    erstellt, wo benötigt, führende Verzeichnisse.

-m, --preserve-modification-time
    erhält vorherige Dateiveränderungszeiten beim Erstellen von Dateien bei.

--no-preserve-owner
    ändert die Eigentümerschaft von den Dateien nicht.

--sparse
    schreibt Dateien mit großen Null-Blöcken als Sparse-Dateien.

-u, --unconditional
    ersetzt alle Dateien ohne Rückfrage.

RÜCKGABEWERT
GNU cpio beendet sich mit Code 0, falls es die Aktion erfolgreich abschließen konnte. Im Fehlerfall beendet es sich mit dem Code 2.

SIEHE AUCH
tar(1), rmt(8), mt(1).

FEHLERBERICHTE
Melden Sie Fehler (auf Englisch) an <bug-cpio@gnu.org>.

COPYRIGHT
Copyright © 2014--2023 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.